Name: wmakerconf
Version: 2.6.1
Release: 7
Summary: A configuration tool for the Window Maker window manager for X.
Group: User Interface/Desktops
License: GPL
Source: http://ulli.linuxave.net/wmakerconf/wmakerconf-%{version}.tar.gz
URL: http://ulli.linuxave.net/wmakerconf/
BuildPrereq: WindowMaker-libs, WindowMaker
Requires: WindowMaker, perl
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Wmakerconf is a GTK+ based graphical user interface configuration tool
for the Window Maker window manager.  Wmakerconf supports all Window
Maker attributes.  Wmakerconf provides a font selection browser, a
pixmap preview browser, a color selection dialog, a shortcut dialog,
and a file selection dialog.  Wmakerconf also provides tooltips in
multiple languages.

If you use the Window Maker window manager, you should probably
install the wmakerconf package, because it will make configuration a
little easier.

%prep
%setup -q 

%build
%configure --with-wmakerdir=/etc/X11/ \
	--with-wmakeretcprefix=/etc/X11 \
	--with-wmakerprefix=/usr \
	--with-wmakerdatadir=/usr/share/WindowMaker \
	--disable-gtktest
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO MANUAL
/usr/bin/*
/usr/share/wmakerconf

%changelog
* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify

* Tue Sep 26 2000 Trond Eivind Glomsrd <teg@redhat.com>
- add WindowMaker to build requirements 

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 08 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%configure, %%makeinstall and %%{_tmppath}

* Mon May 01 2000 Trond Eivind Glomsrd <teg@redhat.com>
- added  "--with-wmakeretcprefix" to configure command
- added WindowMaker-libs as a BuildPrereq:

* Tue Apr 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- version 2.6.1
- updated URL (homepage, source)
- removed old patches/data

* Thu Sep 02 1999 Cristian Gafton <gafton@redhat.com>
- version 2.1
- data files for 0.60.0

* Thu Apr 15 1999 Cristian Gafton <gafton@redhat.com>
- patch to configure for cpp
- patches to build without things like amaker already installed
- version 1.99.1

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Mar 12 1999 Cristian Gafton <gafton@redhat.com>
- version 1.7

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- version 1.4
- build for glibc 2.1

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- updated data files for windowmaker 0.20 and above

* Fri Sep 18 1998 Cristian Gafton <gafton@redhat.com>
- packaged for 5.2 to be used with WindowMaker
